﻿
/*   Written by Peter Segerdahl for Byggsamverkan AB  */



html {
/*  line-height: 1.15;  */ /* 1 */
  -ms-text-size-adjust: 100%; /* 2 */
  -webkit-text-size-adjust: 100%; /* 2 */
}

h1 {
    font-size: 15px;
    color: Gray;
}

p {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    color: #525252;
}

span {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    color: #525252;
}

input {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    color: Black;
}


/* Stäng av upp/ner knappar */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/*****************************************************************/


#divAll,
.divAll,
#divInUt,
.col2LdivAll,
.col2LdivAllGrey2,
.col2LdivAllRegTid1 {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: normal;
    color: #5C5C5C;
}

#divAll,
.divAll,
#divInUt,
.col2LdivAll,
.col2LdivAllGrey2
{
    max-width: 800px; /* Nytt! Borde kunna rationalisera bort reSizeXX() i JS. Prova att strippa bort alla reSizeXX() i JS. */
}

#divAll,
.divAll,
#divInUt {
    width: 100%;
}


/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}


/* Create 2 equal columns that floats next to each other 
    Lägg in en local style för width, mid-width och/eller max-width.
*/
.col2L, .col2R,
.col2LdivAll
{
    width: 50%;
    box-sizing: border-box;
}
.col2L,
.col2LdivAll,
.col2LdivAllRegTid1,
.col2LdivAllRegTid2 {
    float: left;
}
.col2R {
    float: right;
}

/*   Lägg in en @media screen and (max-width: XXXpx) på varje sida, då det väldigt sällan är samma bryt-upplösning (XXXpx), t ex:
@media screen and (max-width: 405px) {
    .col2L, .col2R {
        width: 100%;
        float: left;
        margin-top: 10px;    
    }
}
*/

/*
.col2LdivAllRegTid2 {
    margin-left: 10px;
}
*/


.col2LdivAllGrey2 {
    margin: 20px 0 0 10px;
    padding: 5px;
    background-color: #cecece;
    border: 1px solid #C0C0C0;
}


.col2LdivMargins1 {
    margin: 20px 0 20px 0;
}

.col2LdivMargins2 {
    margin: 14px 10px 0 20px;
}


@media screen and (max-width: 1000px) {
    .col2LdivAll {
        width: 100%;
    }

    .col2LdivAllGrey2 {
        margin-left: 0;
/*        width: 100%;  */
    }

    .col2LdivMargins1 {
        margin: 20px 0 0 0;
    }

    .col2LdivMargins2 {
        margin: 20px 0 0 0;
    }
}

/* Create 3 equal columns that floats next to each other */
.col3 {
float: left;
width: 32%;
box-sizing: border-box;
}

@media screen and (max-width: 600px) {
    .col3 {
        width: 100%;
    }
}


/* Create 4 equal columns that floats next to each other */
.col4 {
    float: left;
    width: 25%;
    box-sizing: border-box;
}

@media screen and (max-width: 600px) {
    .col4 {
        width: 100%;
    }
}


/*****************************************************************/


.justify{
  padding: 0 30px 0 30px;  
  text-align: justify;
}




.imgMenu,
#ImgBtnHome,
#ImgBtnBack
{
    cursor:pointer;
}

.imgMenu:hover,
#ImgBtnHome:hover,
#ImgBtnBack:hover
{
    -moz-box-shadow: 0 0 10px #222;
	-webkit-box-shadow: 0 0 10px #222;
	box-shadow: 0 0 10px #222;
}


.Search
{
    vertical-align: text-bottom;
    margin-top: 2px;
    cursor:pointer;
}


.Login
{
    font-size: medium;
    height: 25px;
    width: 220px;
}

.arrows {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-align: center;
    font-style: normal;
    font-weight: normal;
    text-decoration: none;
    padding: 6px 14px;
    font-size: 14px;
    background-color: #629491;
    border-color: White;
    color: #FFFFFF;
    border-width: 0;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
}

arrows:hover {
    background-color: #366764;
}


.multiResTable {
    width: 100%;
    border: solid 1px Black;
    border-collapse: collapse;
    border-spacing: 0;
    padding: 0;
    /* margin: 12px 0 0 0; */
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}


.DgbTable {
    width: 100%;
    border: solid 1px Black;
    border-collapse: collapse;
    border-spacing: 0;
    padding: 0;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}


.DgbTableNoLine {
    width: 99%; /* 100% skapar horiz scroll på iphone */
    border: none 0 Black;
    border-collapse: collapse;
    border-spacing: 0;
    padding: 0;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}


.DgbTableHeader,
.DgbTableHeaderNoLine,
.DgbTableHeaderSmallNoLine,
.DgbTableRow,
.DgbTableRowNoLine,
.DgbEdit,
.DgbTableRowAlignR_NL,
.DgbTableRowSumNoLine,
.DgbTableRowSumAlignR_NL,
.DgbTableRowBtnNoLine,
.DgbTableRowBgNoLine
.numericCell,
.tmLabel 
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
}


.numericCell {
    font-size: 15px;
    color: black;
    text-align: right;
    border-width: 0;
    padding-right: 0;
}

.tmLabel {
    font-size: 15px;
    color: black;
    text-align: left;
    border-width: 0;
}

.DgbTableHeader {
    border: solid 1px Black;
    font-size: x-small;
    text-align: left;
    color: Blue;
}

.DgbTableHeaderNoLine {
    border: none 0 Black;
    font-size: x-small;
    text-align: left;
    color: Blue;
}

.DgbTableHeaderSmallNoLine {
    border: none 0 Black;
    font-size: small;
    text-align: left;
    color: Blue;
}

.DgbTableRow {
    border: solid 1px Black;
    font-size: small;
    text-align: left;
    color: Black;
}

.DgbTableRowNoLine {
    border-width: 0;
    font-size: small;
    text-align: left;
    color: Black;
}


.DgbEdit {
    border-width: 0;
    font-size: small;
    text-align: left;
    color: Black;
    background-color: #E6FFE6;
}


.DgbTableRowAlignR_NL {
    border-width: 0;
    font-size: small;
    text-align: right;
    color: Black;
}


.DgbTableRowSumNoLine {
    border-width: 0;
    font-size: small;
    text-align: left;
    color: Blue;
}

.DgbTableRowSumAlignR_NL {
    border-width: 0;
    font-size: small;
    text-align: right;
    color: Blue;
}


.DgbTableRowBtnNoLine {
    width: 150px;
    border-width: 0;
    font-size: small;
    text-align: left;
    color: Black;
}


.DgbTableRowBgNoLine {
    border-width: 0;
    font-size: small;
    text-align: left;
    color: Black;
    background-color: Aqua;
}



.TableCell,
.TableCellBorder {
    overflow:hidden;
}

.TableCellBorder {
    border: 1px solid LightGrey;
}

/* Behövs egentligen bara när cellen blir väldigt liten  */
.iOSCellPadding {
    padding-right: 3px;
}

.TableCellBorder:disabled{
    background-color: #fff;
}


.AvvTable, 
.AvsTable,
.InkTable {
    table-layout:fixed;
    border: solid 1px LightGrey;
    border-collapse: collapse;
    padding: 1px;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-variant: normal;
}

.AvvTable {
    white-space:nowrap;
}

.InkTable {
    line-height: 12px;
}



.AvvHeaderTable,
.InkHeaderTable {
    width: 100%;
    border: solid 1px LightGrey;
    padding: 5px;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-variant: normal;
    white-space: nowrap;
}

.InkHeaderTable {
    line-height: 10px;
}


.AvvTableHeader,
.InkTableHeader {
    font-size: x-small;
    font-style: normal;
    font-weight: normal;
    text-align: left;
    color: Blue;
    border: 0;
    overflow: hidden;
}

.InkTableHeader {
    white-space: normal;
    padding-left: 3px;
}



.AvvTableType,
.InkRubrik
{
    font-size: small;
    font-style: normal;
    font-weight: normal;
    text-align: left;
    color: Blue;
    border: 0;
}

.InkRubrik {
    font-size: medium !important;
}

.AvsTableHeader {
    font-size: x-small;
    font-style: normal;
    font-weight: normal;
    text-align: center;
    color: Blue;
    border: 0;
    /*    overflow: hidden; */
    white-space: normal;
    word-wrap: break-word;
}




.AvvTableRowAlignR_NL,
.AvvTableRowSumAlignR_NL,
.AvvTableRowNoLine,
.TKTableTb,
.TKTableTbRO,
.TKTableTbRO_alt,
.TKTableTbNum,
.TKTableTbNumRO,
.TKTableTbNumBlueRO,
.TKTableRowLnkButtonNoUL,
.AvsNegativeRed,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum,
.AvsSumNum,
.AvsSumTxt,
.InkTableTbRO,
.InkTableTbNumRO,
.InkTableTbRO_alt,
.InkTableTbNum,
.InkTableTbNumRO,
.InkTableTbNumBlueRO,
.InkTableRowLnkButtonNoUL
.InkTableRowSumAlignR_NL {
    border-width: 0;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}


.AvvTableRowAlignR_NL,
.AvvTableRowSumAlignR_NL,
.AvvTableRowNoLine,
.TKTableTb,
.TKTableTbRO,
.TKTableTbRO_alt,
.TKTableTbNum,
.TKTableTbNumRO,
.TKTableTbNumBlueRO,
.TKTableRowLnkButtonNoUL,
.AvsNegativeRed,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum,
.AvsSumNum,
.AvsSumTxt {
    font-size: smaller;
}


.InkTableTbRO,
.InkTableTbNumRO,
.InkTableTbRO_alt,
.InkTableTbNum,
.InkTableTbNumRO,
.InkTableTbNumBlueRO,
.InkTableRowLnkButtonNoUL {
    font-size: x-small;
}


.InkTableTbRO,
.InkTableTbRO_alt {
    padding-left: 1px;
    font-size: x-small;
}


.InkTableTbNumRO,
.InkTableTbNum,
.InkTableTbNumRO,
.InkTableTbNumBlueRO {
    text-align: right;
    padding-right: 4px;
}



.AvvTableRowNoLine, .TKTableTb, .TKTableTbRO, .TKTableTbRO_alt, .AvsSumTxt {
    text-align: left;
    color: Black;
}

.AvvTableRowAlignR_NL,
.TKTableTbNum,
.TKTableTbNumRO,
.TKTableTbNumBlueRO,
.AvsNegativeRed,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum,
.AvsSumNum,
.AvsSumTxt
 {
    margin-right: 4px;
}

.AvvTableRowAlignR_NL,
.TKTableTbNum,
.TKTableTbNumRO,
.TKTableTbNumBlueRO,
.AvsNegativeRed,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum,
.AvsSumNum
{
    text-align: right;
}


.AvvTableRowAlignR_NL,
.TKTableTbNum,
.TKTableTbNumRO
 {
    color: Black;
}

.TKTableTbNumBlueRO
 {
    color: Blue;
}

.AvvTableRowSumAlignR_NL,
.InkTableRowSumAlignR_NL {
    text-align: right;
    color: Blue;
}

.InkTableRowSumAlignR_NL {
    font-size: x-small !important;
    font-weight: bold !important;
}

.TKTableRowLnkButtonNoUL {
    color: black;
    border: solid blue 1px;
    text-decoration: none;
    overflow: visible;
    /*    padding-left: 0; */
}

.AvsNegativeRed,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum
{
    color:red;
}

.AvsNegativeRed,
.AvsNegativeRedSum
{
    background-color:yellow!Important;
}

.AvsSumTxt,
.AvsSumNum,
.AvsNegativeRedSum,
.AvsNegativeRedTotalSum
{
    font-weight:bold!Important;
}

.AvsSumNum,
.AvsSumTxt,
.AvsNegativeRedTotalSum
{
    background-color:#97DDFF!Important;
}


/* Så att datumet alltid får plats på en rad (även på iPhone)  */
.dateCol {
    min-width: 80px;
}

.tmMultiHeader,
.TableHeader,
.tableHeaderCenter,
.tableRowHeader,
.TableHeaderRight,
.TableRowNoLineLink,
.TableRowLink,
.TableRowButton,
.TableRowLnkButtonNoUL,
.TableRowLnkButtonBoldNoUL,
.TableRowTextButton {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    text-align: left;
}


.tmMultiHeader {
    font-weight: bold;
    color: black;
}

.tableHeaderCenter {
    text-align: center;
}


.TableHeader,
.tableRowHeader,
.tableHeaderCenter {
    font-weight: bold;
    color: rgb(219, 238, 228);
    text-decoration: none;
}

.TableHeader,
.tableRowHeader,
.tableHeaderCenter 
{
    background: rgb(94, 94, 94) !important;
}

.TableHeader:hover,
.tableRowHeader:hover
{
    background: rgb(114, 114, 114) !important;
}


.TableHeaderRight {
    font-weight: bold;
    color: rgb(219, 238, 228);
    text-align: right;
    text-decoration: none;
}

.TableRowNoLineLink {
    font-weight: bold;
    color: Black;
    border-width: 0;
}

.TableRowLink {
    color: Blue;
    border: none 0 Black;
}

.TableRowButton {
    color: Black;
    border-color: #FF00FF;
    overflow: visible;
    padding-left: 0;
}

.TableRowLnkButtonNoUL {
    color: Black;
    text-decoration: none;
    overflow: visible;
    padding-left: 0; 
}

.TableRowLnkButtonBoldNoUL {
    font-weight: bold;
    color: Black;
    overflow: visible;
    padding-left: 0;
    text-decoration: none;
}

.TableRowTextButton {
    color: Black;
    border: 0 solid;
    overflow: visible;
    padding-left: 0;
    text-decoration: none;
}





/*---------------------------------------------------------------------------------------------------------------------------*/

.dropTable {
    width: 100%;
    border-collapse: collapse;
    padding: 2px;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: small;
    border: solid 1px LightGrey;
    background: #ffefd5;
    /*    background: #e8f2f9; */
}

.dropTable th 
{ 
    text-align:left;
    font-weight:normal;
}

.dropTable td
{
    padding-left: 4px;
}
.dropTable tr:hover {
    background-color: #fff;
    padding-left: 8px;
}

.dropDiv {
    height: 0;
    width: 0;
    overflow: hidden;
/*
    -webkit-transition: height 0.3s;
    -moz-transition: height 0.3s;
    -o-transition: height 0.3s;
    transition: height 0.3s;
*/
/*    -webkit-transition: height 0.3s ease-in;
    -moz-transition: height 0.3s ease-in;
    -o-transition: height 0.3s ease-in;
    transition: height 0.3s ease-in; */
}

.dropTableRow,
.dropTableRowTxt {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    text-align: left;
    color: Black;
    text-decoration: none;
    /*    overflow: visible; */
    padding-left: 0;
    display: inline-block;
    white-space: nowrap;
    width: 100%;

    -webkit-appearance: none;
    -moz-appearance: none;
    border: 0;
    background: #ffefd5;
}

.dropTableRowTxt {
    cursor:not-allowed;
}

.dropTableRow:hover,
.dropTableRowTxt:hover {
    background-color: #fff;
    padding-left: 8px;
}

.dropTableRow:hover {
    cursor: pointer;
}


/*---------------------------------------------------------------------------------------------------------------------------*/

.SimpleTableHead,
.SimpleTable {
    width: 100%;
    border-collapse: collapse;
    padding: 2px;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: small;
}

.SimpleTable
{
    border: solid 1px LightGrey;
}

.SimpleTableHead {
    border: solid 1px #898989;
}

.SimpleTable th 
{ 
    text-align:left;
    font-weight:normal;
}

.SimpleTable tbody tr:nth-child(odd) { background: rgb(227,237,244); }


.ButtonTable,
.ListTableHead,
.ListTable,
.propTable {
    width: 100%;
    border-collapse: collapse;
    padding: 0;
    margin: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}

.ButtonTable,
.ListTable,
.propTable {
    border: solid 1px Black;
}

.ListTableHead {
    font-weight:normal;
    font-size:small;
    border: solid 1px LightGrey;
}

.ListTable tbody tr:nth-child(odd) {
    background: rgb(227,237,244);
}

.ListTable tr:hover
{
    background: rgb(250,255,227) !important;
}

.altTable tbody tr:nth-child(odd) { background: rgb(227,237,244); }
.hoverTable tr:hover { background: rgb(250,255,227) !important; }


.Grid {
    border-style: none;
    padding: 0;
    margin: 0;
    border-width: 0;
    width: 100%;
    border-spacing: 0;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-style: normal;
    font-variant: normal;
    font-size: small;
    font-weight: normal;
    text-align: left;
}


.GridBase tr:hover{
    background: rgb(250,255,227) !important;
}
.GridBase td:hover{
    background: rgb(250,255,227) !important;
}


.GridBase {
    width: 100%;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    text-align: left;
    color: #333333;
}

.GridHeader {
    background-color: #666666;
    color: White;
    font-size: small;
    font-weight: normal;
    text-align: left;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}

.GridRow {
    background-color: #F3F3F3;
    text-align: left;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}

.GridSelectedRow {
    background-color: #FFCC66;
    text-align: left;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}

.GridAlternatingRow {
    background-color: White;
    text-align: left;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
}

.RightAligned {
    text-align: right;
}


.DivHeader {
}


@media only screen {
    .fixBottomBar {
        z-index: 9989;
        position: fixed;
        width: 100%;
/*     max-width: 733px; */     /* funkar inte på Samsung ihop med width: 100%; */

        bottom: 0;
        left: 0;
        padding: 10px;
        background-color: rgba(255, 255, 255, 0.80);

/*        background-color: rgba(238, 238, 238, 0.80);  */
/*        visibility: visible;    
        display: inline-block; */
    }
}

@media only print {
    .fixBottomBar {
        visibility:collapse;
        z-index: 0;
    }
}



@media only screen {
    .divHeaderWEBTID,
    .divHeaderBYGGsamWEB {
        z-index: 9989;
        position: fixed;
        width: 100%;
        top: 0;
        left: 0;
/*        visibility: visible;
        display: inline-block; */
    }
}

@media only print {
    .divHeaderBYGGsamWEB,
     .divHeaderWEBTID
    {
        position:static;
    }
}


.divHeaderWEBTID,
.divHeaderBYGGsamWEB,
.HeaderText,
.HeaderBYGGsamWEB,
.HeaderTextWEBTID,
.HeaderTextWEBsam,
.HeaderTextPartner
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: large;
    text-align: left;
}

.divHeaderBYGGsamWEB
{
    color: RGB(184,221,202);
    background-color: rgba(64, 64, 64, 0.80);
}

.divHeaderWEBTID
{
    color: #666666;
    background-color: rgba(255, 255, 255, 0.80);
}

.HeaderTextWEBsam
{
    color: RGB(184,221,202);
}

.HeaderText,
.HeaderTextWEBTID,
.HeaderTextPartner
{
    color: #666666;
}


.HeaderText,
.HeaderBYGGsamWEB,
.HeaderTextWEBTID,
.HeaderTextWEBsam,
.HeaderTextPartner
 {
    padding-right: 12px;
    padding-left: 2px;
}



.MenuTableTop {
    font-size: large;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    text-align: left;
    font-style: normal;
/*    border-spacing: 0; */
}

    .MenuTableTop_tr {
    }

.MenuTableTop_cnt_td {
    text-align: right;
}

.MenuTableTop_cnt_span {
    text-align: right !important;
}

.fontSmall {
    font-size: small !important;
}

.fontMedium {
    font-size: medium !important;
}

.fontLarge {
    font-size: large !important;
}


.no_hours_bg {
    background-color: #fff6ab !important;
}

.imgMenu {
}





.MenuTable {
    font-size: large;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    text-align: left;
    font-style: normal;
    background-color: #E5F7FF;
    border-color: White;
    border-width: 0;
}



/*************************************************************************************************************************************/
/* BEGIN BUTTONS *********************************************************************************************************************/

.MenuButton,
.BtnReg,
.BtnReg2,
.BtnRegMedium,
.BtnStd,
.BtnStdMedium,
.BtnStdSmall,
.BtnEditSmall,
.BtnEditMedium,
.BtnHelpSmall,
.BtnHelpMedium,
.BtnNy,
.BtnNyMedium,
.TKTableNewRowBtn,
.TKTableRowClientBtn,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnC,
.ButtonCell,
.btnDropTable,
.lnkRow,
.btnMultiUnder 
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    text-align: center;
    font-style: normal;
    font-weight: normal;
    border-width: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
}

.btnMultiUnder {
    height: 21px;
    width: 200px;
    text-align: left;
    font-size: small;
}

    .btnMultiUnder:enabled {
        background-color: #627094;
        border-color: White;
        color: #FFFFFF;
    }

    .btnMultiUnder:hover {
        background-color: #36446b;
    }




.ButtonCell,
.TKTableNewRowBtn,
.TKTableRowClientBtn,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnRO,
.TKTableRowClientBtnC,
.TKTableRowClientBtnCRO {
    font-size: smaller;
    color: black;
    text-decoration: none;
    overflow: visible;
    padding-left: 1px;
    padding-right: 1px;
    border: 1px solid #aaaaaa;
    height: 95%;
}


.ButtonCell,
.TKTableRowClientBtn,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnRO,
.btnDropTable,
.lnkRow 
{
    text-align: left;
}


.TKTableNewRowBtn,
.TKTableRowClientBtnC,
.TKTableRowClientBtnCRO
{
    text-align: center;
}


.TKTableRowEdit
{
    background-color: #E6FFE6;
}

.btnDropTable {
    background-color: #fff;
    color: #000;
    height: 26px;
    border: 1px solid rgb(205, 205, 205);
    padding-left:4px !important;
}

/* Registrera Tid & Material - Comboboxar */
.cmbTM {
    background-color: rgb(255, 255, 228);
    font-size: 15px;
}


.cmbDgb {
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
    padding-left: 4px;
}

.TKTableRowClientBtn,
.TKTableRowClientBtnC {
    background-color: #E6FFE6;
    height: 18px;
}

.ButtonCell,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnRO,
.TKTableRowClientBtnCRO,
.lnkRow 
{
    background-color: white;
}

.TKTableNewRowBtn
{
    background-color: #82edfe;
    height: 20px;
}


.TKTableTb
{
    background-color: #E6FFE6;
}


.TKTableTbRO
{
    background-color: white;
}

.TKTableTbNum,
.TKTableTbNumBlueRO
{
    background-color: #E6FFE6;
}

.TKTableTbNumRO
{
    background-color: white;
}



input.ButtonCell:hover,
input.TKTableRowClientBtn:hover,
input.TKTableRowClientBtnFakt:hover,
input.TKTableRowClientBtn:focus,
input.TKTableRowClientBtnC:hover,
input.TKTableRowClientBtnC:focus,
input.TKTableTb:hover,
input.TKTableTbNum:hover,
input.TKTableTbNumRO:hover,
input.TKTableTbNumBlueRO:hover,
tr.TKTableRowEdit:hover,
tr.TKTableRowEdit:focus,
input.lnkRow:hover
{
    background-color: #FFFFA0;
}

.lnkRow{
    padding-left:0px;
}



/* MenuButton ***************************/

.MenuButton {
    text-align: left;
    font-size: large;
    background-color: #F4F4F4;
    border-color: #EFEFEF;
    color: #005A96;
    height: 32px;
}

    .MenuButton:hover {
        background-color: rgb(220, 220, 220);
    }

.MenuButton:disabled
 {
    color: rgb(205, 205, 205); 
    border-color: White;
    background-color: #FFFFFF;
    cursor:default;

/*    color: #FFFFFF; */
}


/* BtnReg ***************************/

.BtnReg,
.BtnReg2,
.BtnRegMedium {
    border-color: White;
    color: #FFFFFF;
}

.BtnReg,
.BtnRegMedium {
    background-color: #009CE2;
}

.BtnReg,
.BtnReg2 {
    font-size: large;
    height: 35px;
    width: 221px;
}


.BtnRegMedium {
    font-size: medium;
}


.BtnReg2
{
    background-color: #007ac1;
}


.BtnReg:hover,
.BtnRegMedium:hover {
    background-color: #007ae2;
}

.BtnReg2:hover {
    background-color: #004bc1;
}


.BtnReg:disabled,
.BtnReg2:disabled,
.BtnRegMedium:disabled
 {
    background-color: rgb(205, 205, 205);
    border-color: White;
    color: #FFFFFF;
    cursor:default;
}


/* BtnStd ***************************/


/* Så att den kan visas i en Span */
.BtnStdSmall
 {
    background-color: #629491;
    border-color: White;
    color: #FFFFFF;
}

.BtnStd,
.BtnStdMedium,
.BtnStdSmall:enabled
 {
    background-color: #629491;
    border-color: White;
    color: #FFFFFF;
}

    .BtnStd:hover,
    .BtnStdMedium:hover,
    .BtnStdSmall:hover {
        background-color: #366764;
    }


.BtnStd {
    font-size: large;
    height: 35px;
}

.BtnStdMedium {
    font-size: medium;
}

.BtnStdSmall {
    font-size: small;
}

.BtnStdSmall:disabled,
.BtnStdMedium:disabled,
.BtnStd:disabled,
.btnMultiUnder:disabled
 {
    background-color: rgb(205, 205, 205);
    border-color: White;
    color: #FFFFFF;
    cursor:default;
}



/* BtnEdit ***************************/

.BtnEditMedium,
.BtnEditSmall
{
    background-color: #1C599B;
    border-color: White;
    color: #FFFFFF;
}

    .BtnEditMedium:hover,
    .BtnEditSmall:hover {
        background-color: #5369d4;
/*        border-radius: unset; */
    }


.BtnEditMedium {
    font-size: medium;
}

.BtnEditSmall {
    font-size:small;
    height: 30px;
    width: 52px;
    margin-top: 0;
}

.BtnEditMedium:disabled,
.BtnEditSmall:disabled
 {
    background-color: rgb(205, 205, 205);
    border-color: White;
    color: #FFFFFF;
    cursor:default;
}




/* BtnHelp ***************************/

.BtnHelpSmall,
.BtnHelpMedium {
    background-color: #1C599B;
    border-color: White;
    color: #FFFFFF;
    height: 30px;
    margin-top: 0;
}

    .BtnHelpSmall:hover,
    .BtnHelpMedium:hover {
        background-color: #1c3a9b;
    }

.BtnHelpSmall {
    font-size: small;
    height: 30px;
    width: 52px;
}

.BtnHelpMedium {
    font-size: medium;
    height: 30px;
    width: 82px;
    margin-bottom: 0;
}

.BtnHelpSmall:disabled,
.BtnHelpMedium:disabled
 {
    background-color: rgb(205, 205, 205);
    border-color: White;
    color: #FFFFFF;
    cursor:default;
}


/* BtnNy ***************************/

.BtnNy,
.BtnNyMedium {
    background-color: #455A64;
    border-color: White;
    height: 30px;
    color: #FFFFFF;
}

    .BtnNy:hover,
    .BtnNyMedium:hover {
        background-color: #4c4564;
    }

.BtnNy {
    font-size: large;
    width: 200px;
    color: #FFFFFF;
}

.BtnNyMedium {
    font-size: medium;
}

.BtnNy:disabled,
.BtnNyMedium:disabled
 {
    background-color: rgb(205, 205, 205);
    border-color: White;
    color: #FFFFFF;
    cursor:default;
}


/* Urval - Endast tillägs-attribut, skall användas i kombination med button-klasser ovan ****/

.addonBtnUrval
{
    background-color: #FF7F7F !important;
    color: black !important;
}


/* -- END BUTTONS -- *********************************************************************************************************/


.divError
{
    margin-top: 14px;
    margin-bottom: 14px;
}


.label {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    color: #525252;
}

.ErrorMsg {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
    color: #FF0000;
    background-color: #FFFFB0;
}

.ErrorMsgSmall {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
    color: #FF0000;
    background-color: #FFFFB0;
}


.statusNote
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
/*    color:aliceblue; */
/*    background-color:darkblue; */
    color:darkblue; 
}


.MediumNormal,
.MediumNormalDarkGrey,
.MediumBold,
.MediumNormalBlack,
.MediumNormalBlue,
.Medium,
.MediumArial,
.MediumAlert,
.MediumStatus
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
}

.MediumNormal {
    font-weight: normal;
    color: #6E6E6E;
}

.MediumNormalBlack{
    font-weight: normal;
    color: #000000;
    margin-left: 0;
}

.MediumNormalBlue {
    font-weight: normal;
    color: Blue;
    margin-left: 0;
}

.MediumNormalDarkGrey {
    font-weight: normal;
    color: #5C5C5C;
}

.MediumBold {
    font-weight: bold;
    color: #5C5C5C;
    font-style: normal;
}

.Medium {
    font-weight: normal;
}



.divStickyBtn {
/*    max-width:none; */
/*    max-width:200px; */
/*    padding-right: 20px; */
}

@media screen and (min-width: 38.75em)
{
/* Surfplatta, menyknapp eller större (dator med meny) */
    .divStickyBtn {
/*        max-width:733px; */
    }
}





.SmallBlack,
.SmallBlack2,
.SmallBlack_pr,
.SmallGrey,
.SmallDarkGrey,
.SmallBlue,
.SmallDarkBlue,
.SmallBold,
.SmallBoldBlue,
.SmallBoldBlack,
.SmallAlert,
.searchPrj,
.searchPrj_reggaTid {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: normal;
}

.SmallBlack,
.SmallBlack2,
.SmallBlack_pr,
.searchPrj,
.searchPrj_reggaTid {
    color: #000000;
}

.searchPrj,
.searchPrj_reggaTid {
    border: 1px solid rgb(205, 205, 205);
    height: 26px;
    padding-left: 5px;

    -webkit-appearance: none;
    -moz-appearance: none;
}

.searchPrj {
    margin-top: 4px;
}


.rounded,
.searchPrj,
.searchPrj_reggaTid,
.fileInputButton,
.DivGreyTop20,
.DivGrey0TopBot20,
.DivGreyTopBot20,
.DivGrey1TopBot20,
.DivGrey2TopBot20,
.DivGrey3TopBot20,
.toolTip,
.ButtonCell,
.TKTableNewRowBtn,
.TKTableRowClientBtn,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnRO,
.TKTableRowClientBtnC,
.TKTableRowClientBtnCRO,
.MenuButton,
.BtnReg,
.BtnReg2,
.BtnRegMedium,
.BtnStd,
.BtnStdMedium,
.BtnStdSmall,
.BtnEditSmall,
.BtnEditMedium,
.BtnHelpSmall,
.BtnHelpMedium,
.BtnNy,
.BtnNyMedium,
.TKTableNewRowBtn,
.TKTableRowClientBtn,
.TKTableRowClientBtnFakt,
.TKTableRowClientBtnC,
.ButtonCell,
.btnDropTable,
.MenuButton,
.BtnReg,
.BtnReg2,
.BtnRegMedium,
.btnMultiUnder
{
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.v_middle
{
    vertical-align: middle;
}

.SmallGrey {
    color: #6E6E6E;
}

.SmallDarkGrey {
    color: #4B4B4B;
    margin-left: 0;
    margin-bottom: 0;
}

.SmallBlue {
    color: Blue;
}

.SmallDarkBlue {
    color: #000099;
}

.SmallBold {
    font-weight: bold;
    color: #6E6E6E;
}

.SmallBoldBlue {
    font-weight: bold;
    color: #000080;
}

.SmallBoldBlack {
    font-weight: bold;
    color: #000000;
}

.SmallAlert,
.MediumAlert
 {
    color: #000080;
    background-color: #FFFFCC;
}




.ArialGrey {
    font-family: 'Segoe UI', Verdana, Arial, Helvetica, sans-serif;
    color: #6E6E6E;
}

.X-Large {
    font-size: x-large;
}


.fileInputButton {
    background: #9E9E9E;
    color: rgb(255, 255, 255);
    font-family: 'Segoe UI', Verdana, Arial, Helvetica, sans-serif;
    padding: 0 0 0 0;
    font-size: 16px;
    margin-bottom: 20px;
    width: 100%;
    vertical-align: top;
    margin-top: -2px;

    -webkit-appearance: none;
    -moz-appearance:none;
}



.LargeArialGrey,
.LargeArialBlack,
.LargeArialBlue,
.LargeStatus
{
    font-family: 'Segoe UI', Verdana, Arial, Helvetica, sans-serif;
    font-size: large;
    font-weight: normal;
}

.LargeArialGrey {
    color: #6E6E6E;
}

.LargeArialBlack {
    color: #000000;
}

.LargeArialBlue {
    color: Blue;
}


.LargeStatus,
.MediumStatus {
    color: azure;
    background-color:#FF00FF;
}


.X-LargeArialGrey {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: x-large;
    color: #6E6E6E;
}


.tableNormal80px {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: normal;
    width: 80px;
}


.InfoMedium {
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: normal;
    color:ButtonText;
    background-color:rgb(219, 238, 228);
}


.Table62px {
    width: 55px;
}

.Table100procent {
    width: 100%;
}




.X-SmallBlackArial,
.xSmallBlack,
.xSmallBlue,
.X-SmallGrey,
.XSmallBoldGrey,
.versionXSmall
{
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: x-small;
    color: #000000;
    font-weight: normal;
    font-style: normal;
    font-variant: normal;
}

.X-SmallBlackArial,
.xSmallBlack
{
    color: #000000;
}

.xSmallBlue {
    color: blue;
}

.X-SmallGrey {
    color: #6E6E6E;
}

.XSmallBoldGrey {
    font-weight: bold;
    color: #6E6E6E;
    text-decoration: none;
    text-transform: none;
}

.versionXSmall{
    color: #6E6E6E;
}



.MenuItem1 {
    font-size: large;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    text-align: left;
    font-style: normal;
    width: auto;
    background-color: rgb(219, 219, 219);
    font-weight: normal;
    color: #000000;
}

.MenuItem2 {
    font-size: large;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    text-align: left;
    font-style: normal;
    width: auto;
    background-color: rgb(232, 232, 232);
    font-weight: normal;
    color: #000000;
}

.divPlaceholder100 {
/*    margin: 20px 0 20px 0; */
    padding: 0 5px 0 0;
}

.DivGreyTop20 {
    margin: 20px 0 0 0;
    padding: 5px;
    /*    background-color: #F9F9F9; */
    background-color: #fdfdfd;
    border: 1px solid #C0C0C0;
}

.DivGrey0TopBot20 {
    margin: 20px 0 20px 0;
    padding: 5px;
    background-color: #f4f4ff; /* #FDFDFD */
    border: 1px solid #C0C0C0;
}
.DivGreyTopBot20 {
    margin: 20px 0 20px 0;
    padding: 5px;
    background-color: #F9F9F9;
    border: 1px solid #C0C0C0;
}
.DivGrey1TopBot20 {
    margin: 20px 0 20px 0;
    padding: 5px;
    background-color: #f4f4ff;  /* #F3F3F3 */
    border: 1px solid #C0C0C0;
}
.DivGrey2TopBot20 {
    margin: 20px 0 20px 0;
    padding: 5px;
    background-color: #E9E9E9;
    border: 1px solid #C0C0C0;
}
.DivGrey3TopBot20 {
    margin: 20px 0 20px 0;
    padding: 5px;
    background-color: #E1E1E1;
    border: 1px solid #C0C0C0;
}

.DivGrey2Top20 {
    margin: 20px 0 0 0;
    padding: 5px;
    background-color: #e4e5e5;
    border: 1px solid #C0C0C0;
}


.Red {
    background-color: #FF0000;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-style: normal;
    color: #FFFFFF;
}


/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;  /* 15% from the top and centered  */
    padding: 20px;
    top: 60px;
    border: 1px solid #888;
    width: 80%; 
    max-width:800px;
}
/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}




.modalOverlay
{
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    margin:0;
    padding:0;
    background:#000;
    opacity:0;
    -webkit-transition: opacity 0.3s ease-in;
    -moz-transition: opacity 0.3s ease-in;
    -o-transition: opacity 0.3s ease-in;
    transition: opacity 0.3s ease-in;
    z-index:101;
}

.modalWindow
{
/*    background-color: #fefefe; 
    margin: 15% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
    max-width:600px;
*/

    position:fixed;

/*    margin:0;  */
/*    border:2px solid #ebebeb; */
/*    width:75%; */
/*    background: #fbf3c7; */
/*    top: 10%; */

    top: 0;
    margin: 15% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
    max-width:600px; 
    background-color: #fefefe; 


    /*height:30px;*/
    text-align:center;
    word-spacing:2px;
    line-height:15px;
    color:#000;
/*    padding:10px; */
    opacity:0;

    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: bold;

    z-index:102;

/*          background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #7c9bc0), color-stop(2%, #416086), color-stop(100%, #293e56));
            background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #fff), color-stop(2%, #e9f1fb), color-stop(100%, #dee7f1));
            background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #ffd800), color-stop(2%, #e9f1fb), color-stop(100%, #ffd800));
            background:#ebebeb;
            background:#fff09c;
*/

    -webkit-border-radius:8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    
    -webkit-box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);
    -moz-box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);
    box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);

    -webkit-transition: opacity 0.2s ease-in;
    -moz-transition: opacity 0.2s ease-in;
    -o-transition: opacity 0.2s ease-in;
    transition: opacity 0.2s ease-in;
}


.toolTip
{
    position:fixed;
    width:350px;
    left:10px;
    top:0;
    padding: 8px;

    background-color: #fff;
/*    color:#fff; */
    color:#000;

    opacity: 0;

    text-align: center;

    overflow-wrap:break-word;

    -webkit-box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);
    -moz-box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);
    box-shadow:-1px 2px 12px rgba(0, 0, 0, 0.91);

    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-style: normal;
    font-size: smaller;
    font-weight: normal;

    -webkit-transition: opacity 0.2s ease-in;
    -moz-transition: opacity 0.2s ease-in;
    -o-transition:opacity 0.2s ease-in;
    transition: opacity 0.2s ease-in;

    -webkit-transition-delay: 0.2s; /* Safari */
    -moz-transition-delay: 0.2s;
    -o-transition-delay: 0.2s;
    transition-delay: 0.2s;
}


.colStd{
    cursor:col-resize;    
    border-right: 1px solid lightgray;
}

.colMark{
    cursor:col-resize;    
    border-right: 1px solid lightgray;

/*
    // Detta funkar tyvärr inte...
    content:"Hej";
    color: white;
    font-family: "Segoe UI", Verdana, Arial, Helvetica, sans-serif;
    font-style: normal;
    font-size: smaller;
    font-weight: normal;
*/
}
.colDrag{
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    background-color:darkgray;
    cursor:col-resize;    
}






body {
}

